Package uk.ac.starlink.topcat.plot2

## Class MultiAxisController<P,A>

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.MultiController<AxisController<P,A>>
  - - uk.ac.starlink.topcat.plot2.MultiAxisController<P,A>

-     public class MultiAxisController<P,A>
      extends MultiController<AxisController<P,A>>

  MultiController that works with AxisController instances.
  Since:
    12 Feb 2016
  Author:
    Mark Taylor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class uk.ac.starlink.topcat.plot2.MultiController

      `MultiController.ControllerFactory<C>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultiAxisController​(PlotTypeGui<P,A> plotType, ZoneFactory zfact, MultiConfigger configger)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `resetAspects()` | Resets aspects of all the current per-zone controllers.
    `void` | `setAspect​(uk.ac.starlink.ttools.plot2.Ganger<P,A> ganger, ZoneId zid, A aspect)` | Sets the surface aspect to use for a given zone.

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.MultiController

      `getConfigger, getController, getControllerMap, getStackControls, getZones, setZones`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiAxisController

          public MultiAxisController​(PlotTypeGui<P,A> plotType,
                                     ZoneFactory zfact,
                                     MultiConfigger configger)

      Constructor.
      Parameters:
        `plotType` - plot type
        `zfact` - zone id factory
        `configger` - manages global and per-zone axis config items

  - ### Method Detail

    - #### setAspect

          public void setAspect​(uk.ac.starlink.ttools.plot2.Ganger<P,A> ganger,
                                ZoneId zid,
                                A aspect)

      Sets the surface aspect to use for a given zone.
      Parameters:
        `ganger` - object that defines multi-zone positioning
        `zid` - zone whose aspect is to be updated; can, but probably shouldn't, be null
        `aspect` - new aspect

    - #### resetAspects

          public void resetAspects()

      Resets aspects of all the current per-zone controllers.

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.